package cn.com.countrygarden.bi.main.model.marketing;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Created by chenweijiang on 2017/9/21.
 */
public class CommReportWeeklySummary {
    private Integer id;

    private Integer commId;

    /**
     * week of year
     */
    private Byte woy;


    private Date startDate;


    private Date endDate;


    private Date gmtCreate;


    private String createBy;



    /**
     * 本周工作内容
     */
    private String weekWorkContent;

    /**
     * 下周计划
     */

    private String nextWeekPlan;

    /**
     * 当前需协助解决事项
     */

    private String assistantContent;

    private String dateRange;

    //proposalOrganId
    private String organId;

    private String organName;

    private String projectName;

    private String serialNumber;

    private String projectType;

    private String cooperationTypes;

    private String contact;

    private BigDecimal planningArea;

    private String state;

    private Integer historyCount;

    private Boolean isStateChange;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommId() {
        return commId;
    }

    public void setCommId(Integer commId) {
        this.commId = commId;
    }

    public Byte getWoy() {
        return woy;
    }

    public void setWoy(Byte woy) {
        this.woy = woy;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getWeekWorkContent() {
        return weekWorkContent;
    }

    public void setWeekWorkContent(String weekWorkContent) {
        this.weekWorkContent = weekWorkContent;
    }

    public String getNextWeekPlan() {
        return nextWeekPlan;
    }

    public void setNextWeekPlan(String nextWeekPlan) {
        this.nextWeekPlan = nextWeekPlan;
    }

    public String getAssistantContent() {
        return assistantContent;
    }

    public void setAssistantContent(String assistantContent) {
        this.assistantContent = assistantContent;
    }

    public String getDateRange() {
        return dateRange;
    }

    public void setDateRange(String dateRange) {
        this.dateRange = dateRange;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getCooperationTypes() {
        return cooperationTypes;
    }

    public void setCooperationTypes(String cooperationTypes) {
        this.cooperationTypes = cooperationTypes;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public BigDecimal getPlanningArea() {
        return planningArea;
    }

    public void setPlanningArea(BigDecimal planningArea) {
        this.planningArea = planningArea;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Integer getHistoryCount() {
        return historyCount;
    }

    public void setHistoryCount(Integer historyCount) {
        this.historyCount = historyCount;
    }

    public Boolean getStateChange() {
        return isStateChange;
    }

    public void setStateChange(Boolean stateChange) {
        isStateChange = stateChange;
    }
}
